# Overview

Deploys Statusnet, a microblogging platform to exchange 140 character messages between peers.

# Deployment

You can deploy the charm as such:

    juju deploy statusnet
    juju deploy mysql
    juju add-relation mysql statusnet
    juju set statusnet title='mytitle' email='admin@foobar.com' password='foobar' nickname='admin'

You can then browse to http://ip-address to configure the status.net

## Scale out Usage

The service is scalable by deploying a haproxy frontend, and scaling the web-heads respectively:

    juju deploy haproxy
    juju add-relation haproxy satusnet
    juju add-unit statusnet -n 2

# Configuration

  title:
    description: The name of the site
  nickname:
    description: The nickname for the administrator (cannot be changed)
  password:
    description: The password for the administrator
  email:
    description: The email address of the administrator (cannot be changed)

# Contact Information

Maintainer: Nathan Osman <nathan@quickmediasolutions.net>

## Upstream Project Name

- Upstream website: http://status.net/
- Upstream mailing [list](http://lists.status.net/mailman/listinfo/statusnet-dev)
